using System.Linq.Expressions;
using IQToolkit.Data.Common;

namespace LinqToVfp {
    public class VfpQueryPolice : QueryPolice {
        public VfpQueryPolice(QueryPolicy policy, QueryTranslator translator) :
            base(policy, translator) {
        }

        public override Expression BuildExecutionPlan(Expression query, Expression provider) {
            return VfpExecutionBuilder.Build(this.Translator.Linguist, this.Policy, query, provider);
        }
    }
}