using System.Linq.Expressions;

namespace LinqToVfp {
    internal class XmlToCursorExpression : VfpExpression {
        public Expression Xml { get; private set; }
        public Expression CursorName { get; private set; }

        public XmlToCursorExpression(Expression xml, Expression cursorName)
            : base(VfpExpressionType.XmlToCursor, typeof(int)) {
            this.Xml = xml;
            this.CursorName = cursorName;
        }
    }
}